List keyword groups
curl --request GET \
--url https://app.keupera.com/api/v1/keywords/groups \
--header 'Authorization: Bearer <token>'import requests
url = "https://app.keupera.com/api/v1/keywords/groups"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://app.keupera.com/api/v1/keywords/groups', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "SEO Tools",
"website_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"created_at": "2023-11-07T05:31:56Z"
}
]
}{
"error": "Invalid or missing API key"
}Keywords
List keyword groups
Returns all keyword groups for a website.
GET
/
keywords
/
groups
List keyword groups
Authorizations
Pass your Keupera API key as a Bearer token: Authorization: Bearer YOUR_KEUPERA_API_KEY. Generate keys from Account → API Keys in your Keupera dashboard.
Query Parameters
Target website. Defaults to the website bound to your API key. Must belong to one of your organizations.
Response
List of keyword groups.
Show child attributes
Show child attributes
⌘I